        .seg    ".text"
        .proc 04
        .global main
	.align 		4
        .type   main,#function
main:
        save    %sp,-0xc0,%sp
1:
	rd	%pc,%l7
	sethi	%hh(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %l0
	sethi	%lm(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %l1
	or	%l0,%hm(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%l0
	or	%l1,%lo(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%l1
	sllx	%l0,32,%l0
	or	%l0,%l1,%l0
	add 	%l7,%l0,%l7
        sethi   %hi(_mFargc),%o5
	or      %o5,%lo(_mFargc),%o5
	ldx    [%l7+%o5],%o5
	st      %i0,[%o5]
        sethi   %hi(_mFargv),%o5
	or      %o5,%lo(_mFargv),%o5
	ldx    [%l7+%o5],%o5
	stx    %i1,[%o5]
        sethi   %hi(&mFNAME),%o5
	or      %o5,%lo(&mFNAME),%o5
	ldx    [%l7+%o5],%o0
        call    _mFgmain
        nop
        ret
        restore %g0,%o0,%o0
